# Search listing details.

Search listing details.

Endpoint: GET /listings/{listing_id}/details/search
Version: 1.0.0
Security: Token

## Path parameters:

  - `listing_id` (string, required)
    The ID of a listing. UUID Version 4.
    Example: "00000000-0000-4000-8000-000000000000"

## Response 200 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "success"

  - `data` (object)
    Search results for a listing.

  - `data.bedrooms` (number,null)
    Total number of bedrooms.
    Example: 4

  - `data.bathrooms` (number,null)
    Total number of bathrooms.
    Example: 3.5

  - `data.square_feet` (number,null)
    Total number of square feet.
    Example: 2511

  - `data.year_built` (number,null)
    Year the property was built.
    Example: 1960

  - `data.lot_size_acres` (number,null)
    Total area of the lot of a listing in acres.
    Example: 0.47

  - `timestamp` (string,null)
    The request timestamp (ISO 8601).
    Example: "2021-06-30T20:30:00Z"

## Response 404 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 404

## Response 422 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "fail"

## Response 500 fields (application/json):

  - `status` (string, required)
    What was the state of the request?
    Example: "error"

  - `message` (string, required)
    The error message.
    Example: "{ApiError message.}"

  - `code` (integer,null)
    A numeric code corresponding to the error.
    Example: 500


